/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portal.search.engine.adapter;

import aQute.bnd.annotation.ProviderType;

import com.liferay.portal.search.engine.adapter.cluster.ClusterRequest;
import com.liferay.portal.search.engine.adapter.cluster.ClusterResponse;
import com.liferay.portal.search.engine.adapter.document.DocumentRequest;
import com.liferay.portal.search.engine.adapter.document.DocumentResponse;
import com.liferay.portal.search.engine.adapter.index.IndexRequest;
import com.liferay.portal.search.engine.adapter.index.IndexResponse;
import com.liferay.portal.search.engine.adapter.search.SearchRequest;
import com.liferay.portal.search.engine.adapter.search.SearchResponse;

/**
 * @author Michael C. Han
 */
@ProviderType
public interface SearchEngineAdapter {

	public <T extends ClusterResponse> T execute(
		ClusterRequest<T> clusterRequest);

	public <S extends DocumentResponse> S execute(
		DocumentRequest<S> documentRequest);

	public <U extends IndexResponse> U execute(IndexRequest<U> indexRequest);

	public <V extends SearchResponse> V execute(SearchRequest<V> searchRequest);

}