/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portal.search.engine.adapter.document;

import java.util.ArrayList;
import java.util.List;

/**
 * @author Michael C. Han
 */
public class BulkDocumentRequest
	implements DocumentRequest<BulkDocumentResponse> {

	@Override
	public BulkDocumentResponse accept(
		DocumentRequestExecutor documentRequestExecutor) {

		return documentRequestExecutor.executeBulkDocumentRequest(this);
	}

	public void addBulkableDocumentRequest(
		BulkableDocumentRequest<?> bulkableDocumentRequest) {

		_bulkableDocumentRequests.add(bulkableDocumentRequest);
	}

	public List<BulkableDocumentRequest<?>> getBulkableDocumentRequests() {
		return _bulkableDocumentRequests;
	}

	private final List<BulkableDocumentRequest<?>> _bulkableDocumentRequests =
		new ArrayList<>();

}