/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portal.search.engine.adapter.index;

import aQute.bnd.annotation.ProviderType;

/**
 * @author Dylan Rebelak
 */
@ProviderType
public class GetFieldMappingIndexRequest
	implements IndexRequest<GetFieldMappingIndexResponse> {

	public GetFieldMappingIndexRequest(
		String[] indexNames, String mappingName, String[] fields) {

		_indexNames = indexNames;
		_mappingName = mappingName;
		_fields = fields;
	}

	@Override
	public GetFieldMappingIndexResponse accept(
		IndexRequestExecutor indexRequestExecutor) {

		return indexRequestExecutor.executeIndexRequest(this);
	}

	public String[] getFields() {
		return _fields;
	}

	@Override
	public String[] getIndexNames() {
		return _indexNames;
	}

	@Override
	public String getMappingName() {
		return _mappingName;
	}

	private final String[] _fields;
	private final String[] _indexNames;
	private final String _mappingName;

}