/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portal.search.engine.adapter.search;

import aQute.bnd.annotation.ProviderType;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

/**
 * @author Dylan Rebelak
 */
@ProviderType
public class MultisearchSearchRequest
	implements SearchRequest<MultisearchSearchResponse> {

	@Override
	public MultisearchSearchResponse accept(
		SearchRequestExecutor searchRequestExecutor) {

		return searchRequestExecutor.executeSearchRequest(this);
	}

	public void addSearchSearchRequest(
		SearchSearchRequest searchSearchRequest) {

		_searchSearchRequests.add(searchSearchRequest);
	}

	public void addSearchSearchRequests(
		Collection<SearchSearchRequest> searchSearchRequests) {

		_searchSearchRequests.addAll(searchSearchRequests);
	}

	public List<SearchSearchRequest> getSearchSearchRequests() {
		return _searchSearchRequests;
	}

	private final List<SearchSearchRequest> _searchSearchRequests =
		new ArrayList<>();

}